package com.steerinfo.dil.controller;

import com.alibaba.fastjson.JSON;
import com.steerinfo.dil.feign.ESFeign;
import com.steerinfo.dil.model.AmsshipCargoTransferResult;
import com.steerinfo.dil.model.AmsshipDeliveryAttorney;
import com.steerinfo.dil.model.AmsshipDeliveryNotice;
import com.steerinfo.dil.service.IAmsshipDeliveryAttorneyService;
import com.steerinfo.dil.util.BaseRESTfulController;
import com.steerinfo.dil.util.ColumnDataUtil;
import com.steerinfo.dil.util.PageListAdd;

import com.steerinfo.framework.controller.RESTfulResult;
import com.steerinfo.framework.service.pagehelper.PageHelper;
import com.steerinfo.framework.service.pagehelper.PageList;
import com.steerinfo.framework.utils.collection.ListUtils;

import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import oracle.jdbc.proxy.annotation.Post;
import org.apache.commons.lang3.StringUtils;
import org.apache.shiro.authz.annotation.RequiresPermissions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.*;
import java.math.BigDecimal;

/**
 * AmsshipDeliveryAttorney RESTful接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-08-18 03:44
 * 类描述
 * 修订历史：
 * 日期：2021-08-18
 * 作者：generator
 * 参考：
 * 描述：AmsshipDeliveryAttorney RESTful接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@RestController
@RequestMapping("/${api.version}/amsshipdeliveryattorneys")
public class AmsshipDeliveryAttorneyController extends BaseRESTfulController {

    @Autowired
    IAmsshipDeliveryAttorneyService amsshipDeliveryAttorneyService;
    @Autowired
    ColumnDataUtil columnDataUtil;
    @Autowired
    ESFeign esFeign;
    @ApiOperation(value="展示提货委托表", notes="分页查询")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "pageNum", value = "查询页数", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "pageSize", value = "每页记录数", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "apiId", value = "73", required = false, dataType = "BigDecimal"),
    })
    @PostMapping(value = "/getAmsshipDeliveryAttroneyList")
    public RESTfulResult getAmsshipDeliveryAttroneyList(@RequestBody(required = false) Map<String,Object> mapVal,
                                                        Integer pageNum,
                                                        Integer pageSize,
                                                        Integer apiId,
                                                        Integer status,
                                                        String con){
        if (mapVal==null){
            mapVal=new HashMap<>();
        }
        //判断状态值是否为空
        if (status!=null){
            mapVal.put("status",status);
        }
        if (con!=null&&!con.equals("null")){
            mapVal.put("con","%"+con+"%");
        }
        List<Map<String, Object>> listTotal = amsshipDeliveryAttorneyService.selectdeliveryAttorney(mapVal);
        PageHelper.startPage(pageNum, pageSize);
        //分页查询数据
        List<Map<String, Object>> columnList = amsshipDeliveryAttorneyService.selectdeliveryAttorney(mapVal);
        PageListAdd data = columnDataUtil.tableColumnData(apiId, listTotal, columnList);
        return success(data);
    }

    //新增
    @ApiOperation(value="新增", notes="根据amsshipDeliveryAttorney对象创建")
    @ApiImplicitParam(name = "amsshipDeliveryAttorney", value = "详细实体amsshipDeliveryAttorney", required = true, dataType = "AmsshipDeliveryAttorney", paramType = "java.util.Map")
    @PostMapping(value = "/insertshipDeliveryAttorney")
    public RESTfulResult insertshipDeliveryAttorney(@RequestBody  Map<String,Object> map){
        int code=amsshipDeliveryAttorneyService.insert(map);
        return success(code);
    }
    //渲染修改信息
    @ApiOperation(value="获取详细信息", notes="根据url的id来获取详细信息")
    @ApiImplicitParam(paramType = "path", name = "id", value = "ID", required = true, dataType = "BigDecimal")
    @PostMapping(value = "/getDeliveryAttorneyId/{attorneyId}")
    public RESTfulResult getDeliveryAttorneyId(@PathVariable Integer attorneyId){
        List<Map<String,Object>> amsshipDeliveryAttorney =amsshipDeliveryAttorneyService.getDeliveryAttorneyId(attorneyId);
        return success(amsshipDeliveryAttorney);
    }
    

    //删除
    @ApiOperation(value="获取详细信息", notes="根据url的id来获取详细信息")
    @ApiImplicitParam(paramType = "path", name = "id", value = "ID", required = true, dataType = "BigDecimal")
    @PostMapping(value = "/deleteByAttorneyId/{attorneyId}")
    public RESTfulResult deleteByAttorneyId(@PathVariable("attorneyId")  Integer attorneyId){
        AmsshipDeliveryAttorney amsshipDeliveryAttorney=new AmsshipDeliveryAttorney();
        amsshipDeliveryAttorney.setAttorneyId(new BigDecimal(attorneyId));
        Short deleted=1;
        amsshipDeliveryAttorney.setDeleted(deleted);
        amsshipDeliveryAttorneyService.updateByPrimaryKeySelective(amsshipDeliveryAttorney);
        return  success();
    }
    //修改
    @ApiOperation(value="更新详细信息", notes="根据url的id来指定更新对象，并根据传过来的amsshipDeliveryAttorney信息来更新详细信息")
    @ApiImplicitParams({
            @ApiImplicitParam(paramType = "path", name = "id", value = "ID", required = true, dataType = "BigDecimal"),
            @ApiImplicitParam(name = "amsshipDeliveryAttorney", value = "详细实体amsshipDeliveryAttorney", required = true, dataType = "amsshipDeliveryAttorney")
    })
    @PostMapping(value = "/editDeliveryAttroney", produces  = "application/json;charset=UTF-8")
    public RESTfulResult editDeliveryAttroney(@RequestBody Map<String,Object> amsshipDeliveryAttorney){
        //修改提货委托
        int i = amsshipDeliveryAttorneyService.modifyDeliveryAttroney(amsshipDeliveryAttorney);
        return success(i);
    }
    //下发
    @ApiOperation(value="获取详细信息", notes="根据url的id来获取详细信息")
    @ApiImplicitParam(paramType = "path", name = "id", value = "ID", required = true, dataType = "BigDecimal")
    @PostMapping(value = "/sendDeliveryAttorneyStatus/{attorneyId}")
    public RESTfulResult sendDeliveryAttorneyStatus(@PathVariable("attorneyId") Integer attorneyId){
        AmsshipDeliveryAttorney amsshipDeliveryAttorney=new AmsshipDeliveryAttorney();
        amsshipDeliveryAttorney.setAttorneyId(new BigDecimal(attorneyId));
        short status=1;
        amsshipDeliveryAttorney.setAttorneyDistributionStatus(status);
        amsshipDeliveryAttorneyService.updateByPrimaryKeySelective(amsshipDeliveryAttorney);
        return success(amsshipDeliveryAttorney);
    }
    /**
     * 获取提货通知单id
     * @return
     */
    @GetMapping("/getAttorneyId")
    @ApiOperation(value = "获取提货通知单id下拉列表")
    public RESTfulResult getAttorneyId(){
        return success(amsshipDeliveryAttorneyService.getAttorneyId());
    }
    //得到收货人id
    @ApiOperation(value="获取详细信息", notes="根据url的id来获取详细信息")
    @ApiImplicitParam(paramType = "path", name = "id", value = "ID", required = true, dataType = "BigDecimal")
    @GetMapping(value = "/getPortName")
    public RESTfulResult getPortName(){
        List<Map<String,Object>> list= amsshipDeliveryAttorneyService.getPortName();
        return success(list);
    }
    //得到放货通知单Id
    @ApiOperation(value="获取详细信息", notes="根据url的id来获取详细信息")
    @ApiImplicitParam(paramType = "path", name = "id", value = "ID", required = true, dataType = "BigDecimal")

    @GetMapping(value = "/getNoticeId")
    public RESTfulResult getNoticeId(){
        List<Map<String,Object>> list= amsshipDeliveryAttorneyService.getNoticeId();
        return success(list);
    }
    /**
     * 获取发件人id
     * @return
     */
    @GetMapping("getPortId")
    @ApiOperation(value = "获取港口id下拉列表")
    public RESTfulResult getPortId(){

        return success(amsshipDeliveryAttorneyService.getPortId());
    }

    /**
     * 获取收件人id
     * @return
     */
    @GetMapping("getPierId")
    @ApiOperation(value = "获取码头id下拉列表")
    public RESTfulResult getPierId(){
        return success(amsshipDeliveryAttorneyService.getPierId());
    }

    /**
     * 获取仓库id
     * @return
     */
    @GetMapping("getRmRawId")
    @ApiOperation(value = "获取码头id下拉列表")
    public RESTfulResult getRmRawId(){
        return success(amsshipDeliveryAttorneyService.getRmRawId());
    }

}
