package com.steerinfo.dil.controller;

import com.steerinfo.dil.feign.ESFeign;
import com.steerinfo.dil.model.TmsshipEntryWharyResult;
import com.steerinfo.dil.service.ITmsshipEntryWharyResultService;
import com.steerinfo.dil.service.impl.TmsshipEntryWharyResultServiceImpl;
import com.steerinfo.dil.service.impl.TmsshipTotalResultServiceImpl;
import com.steerinfo.dil.util.BaseRESTfulController;
import com.steerinfo.framework.controller.RESTfulResult;
import com.steerinfo.framework.service.pagehelper.PageList;
import com.steerinfo.framework.utils.collection.ListUtils;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.apache.commons.lang3.StringUtils;
import org.apache.shiro.authz.annotation.RequiresPermissions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.time.LocalDate;
import java.util.*;
import java.math.BigDecimal;

/**
 * 装船实绩
 */
@RestController
@RequestMapping("/${api.version}/tmsshipentrywharyresults")
public class TmsshipEntryWharyResultController extends BaseRESTfulController {

    @Autowired
    TmsshipEntryWharyResultServiceImpl tmsshipEntryWharyResultService;
    @Autowired
    TmsshipTotalResultServiceImpl tmsshipTotalResultService;

    @Autowired
    ESFeign esFeign;
    /**
     * 新增抵达实绩
     * @param mapVal
     * @return
     */
    @ApiOperation(value="新增抵达实绩", notes="根据TmsshipEntryWharyResult对象创建")
    @ApiImplicitParam(name = "mapVal", value = "mapVal", required = true, dataType = "java.util.Map")
    @PostMapping(value = "/addTmsShipEntryWharyResult")
    public RESTfulResult addTmsShipEntryWharyResult(@RequestBody Map<String,Object> mapVal){
        int code = tmsshipEntryWharyResultService.insertEntryWharyResult(mapVal);
        return success(code);
    }


}
