package com.steerinfo.dil.feign;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Service;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * @Author zhangnan
 * @Date 2021/7/2 10:52
 * @Version 1.0
 */
@Service
@FeignClient(value = "TMS-DEV",url = "10.244.67.48:80")
public interface TmsDevFeign {
    @RequestMapping("/getResult")
    List<Map<String,Object>> getResult(Integer resultId);
    @PostMapping("/api/v1/tms/transportOrderResult/orderTransportResultByTotalId/{totalId}")
    public List<Map<String,Object>> getOrderResultByTotal(@PathVariable("totalId") BigDecimal totalId);
}
