package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.AmsshipCargoTransferResult;
import com.steerinfo.dil.model.AmsshipDeliveryAttorney;
import com.steerinfo.framework.mapper.IBaseMapper;
import java.math.*;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface AmsshipCargoTransferResultMapper extends IBaseMapper<AmsshipCargoTransferResult, BigDecimal> {
    //展示货权转移列表
    List<Map<String,Object>> seletCargoTransfer(Map<String,Object> mapVal);

    //添加货权转移信息
    int insertSelective(AmsshipCargoTransferResult amsshipCargoTransferResult);

    //修改货权转移信息
    int updateByPrimaryKey(BigDecimal cargoTransferResultId);

    BigDecimal selectMaxId();

    //根据关键字查找信息
    AmsshipCargoTransferResult selectByPrimaryKey(BigDecimal cargoTransferResultId);

    //下拉框获取收货单位
    List<Map<String,Object>> getGroup(Map<String,Object> map);

    //下拉框获取物资id
    List<Map<String,Object>> getCargoId();

    //修改渲染数据
    Map<String,Object> selectByOrder(Integer cargoTransferResultId);

    //插入批次
    List<Map<String,Object>>  insertBetchId( );

    //通过码头查找港口id
    BigDecimal selectPortId(BigDecimal pierId);

    //新增id
    @Select("select seq_AMSSHIP_CARGO.nextval from dual")
    BigDecimal selectCargoId();

    //获取船运物资id
    List<Map<String,Object>> selectMaterialId(Map<String,Object> map);

    //展示货权转移单位列表
    List<Map<String,Object>> selectShipperName(Map<String,Object> map);

    //通过外轮船名和物资id查找批次
    BigDecimal getBatchIdByMaterialId(Map<String,Object> map);

    //根据userId寻找用户名
    String getUserNameByUserId(String userId);

    //根据货权转移id获取批次id
    Map<String,Object> getBatchIdByCargoTransferResultId(BigDecimal cargoTransferResultId);



}