package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.OmsshipInstructionsCapacity;
import com.steerinfo.dil.model.TmsshipLoadShipResult;
import com.steerinfo.framework.mapper.IBaseMapper;
import java.math.*;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface OmsshipInstructionsCapacityMapper extends IBaseMapper<OmsshipInstructionsCapacity, BigDecimal> {
    /**
     * 查询orderId
     * @return
     */
    List<Map<String, Object>> selectOrderId();

    // 查询最大id
    BigDecimal selectMaxId();

    // 插入
    int insert(OmsshipInstructionsCapacity omsshipInstructionsCapacity);

    // 根据主键删除
    int deleteByPrimaryKey(BigDecimal instructionsCapacityId);


    //根据主键查看详细
    OmsshipInstructionsCapacity selectByPrimaryKey(BigDecimal instructionsCapacityId);


    // 根据主键修改
    int updateByPrimaryKeySelective(OmsshipInstructionsCapacity omsshipInstructionsCapacity);


    /**
     * 查询所有船只
     * @return
     */
    List<Map<String,Object>> selectCapacities(Map<String,Object> mapVal);

    /**
     * 得到运力id
     * @return
     */
    List<Map<String,Object>> selectCapacityId();

    /**
     * 查询表单信息
     * @param instructionsCapacityId
     * @return
     */
    List<Map<String,Object>> selectInstructionsCapacity(BigDecimal instructionsCapacityId);

    @Select("select seq_OMSSHIP_CAPACITY.nextval from dual")
    BigDecimal selectInstructionCapacityId();
}