package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.OmsshipShipmentInstructions;
import com.steerinfo.framework.mapper.IBaseMapper;
import java.math.*;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface OmsshipShipmentInstructionsMapper extends IBaseMapper<OmsshipShipmentInstructions, BigDecimal> {

    List<Map<String,Object>> selectAll(Map<String,Object> mapVal);

    int deleteByPrimaryKey(BigDecimal shipmentInstructionsId);

    int insert(OmsshipShipmentInstructions omsshipShipmentInstructions);

    int updateByPrimaryKeySelective(OmsshipShipmentInstructions omsshipShipmentInstructions);

    List<Map<String,Object>> selectShipmentInstructions(BigDecimal shipmentInstructionsId);

    List<Map<String,Object>> getBatchId();

    @Select("select seq_OMSSHIP_SHIPMENT.nextval from dual")
    BigDecimal selectInstructionId();

    // 通过批次查询上游港口和下游码头
    Map<String, Object> getPortAndPier(BigDecimal batchId);

    //获得港口名称
    List<Map<String,Object>> getPortList(Map<String,Object> map);

}