package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.TmsshipBargeOperation;
import com.steerinfo.framework.mapper.IBaseMapper;
import java.math.*;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface TmsshipBargeOperationMapper extends IBaseMapper<TmsshipBargeOperation, BigDecimal> {

    // 得到最大id
    BigDecimal selectMaxId();

    // 新增驳船作业
    int insert(TmsshipBargeOperation tmsshipBargeOperation);

    // 查询驳船作业
    TmsshipBargeOperation selectByPrimaryKey(BigDecimal bargeOperationId);

    // 删除驳船作业
    int deleteByPrimaryKey(BigDecimal bargeOperationId);

    // 修改驳船作业
    int updateByPrimaryKeySelective(TmsshipBargeOperation tmsshipBargeOperation);

    List<Map<String,Object>> selectBargeOperationList(Map<String,Object> mapVal);

    /**
     * 查询表单信息
     * @param bargeOperationId
     * @return
     */
    List<Map<String,Object>> selectBargeOperation(BigDecimal bargeOperationId);

    @Select("select seq_TMSSHIP_BARGE.nextval from dual")
    BigDecimal selectBargeId();
}