package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.TmsshipShipLocation;
import com.steerinfo.framework.mapper.IBaseMapper;
import java.math.*;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface TmsshipShipLocationMapper extends IBaseMapper<TmsshipShipLocation, BigDecimal> {

    // 查询最大id
    BigDecimal selectMaxId();

    // 插入
    int insert(TmsshipShipLocation tmsshipShipLocation);

    // 根据主键删除
    int deleteByPrimaryKey(BigDecimal locationId);


    //根据主键查看详细
    TmsshipShipLocation selectByPrimaryKey(BigDecimal locationId);


    // 根据主键修改
    int updateByPrimaryKeySelective(TmsshipShipLocation tmsshipShipLocation);


    /**
     * 查询所有作业位置
     * @return
     */
    List<Map<String,Object>> selectShipLocationList(Map<String,Object> mapVal);

    /**
     * 查询位置作业表单数据
     * @param locationId
     * @return
     */
    List<Map<String,Object>> selectShipLocation(BigDecimal locationId);

    @Select("select seq_TMSSHIP_LOCATION.nextval from dual")
    BigDecimal selectLocationId();

    Map<String, Object> getShipLocationStatus(String shipLocation);

}