package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.TmsshipTotalResult;
import com.steerinfo.framework.mapper.IBaseMapper;
import java.math.*;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface TmsshipTotalResultMapper extends IBaseMapper<TmsshipTotalResult, BigDecimal> {
    // 得到总实绩的最大id
    BigDecimal selectMaxId();

    // 插入总实绩id
    int insert(TmsshipTotalResult tmsshipTotalResult);

    // 得到总实绩id
    BigDecimal selectResultTotalId(BigDecimal orderId);

    // 展示水路货物运单
    List<Map<String, Object>> selectOrderList(Map<String, Object> mapVal);

    // 得到船信息
    List<Map<String, Object>> getCapacity(Map<String, Object> mapVal);

    @Select("select seq_TMSSHIP_TOTAL.nextval from dual")
    BigDecimal selectTotalId();
}