package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.TmsshipUnloadShipResult;
import com.steerinfo.dil.model.TmsshipWaterQualityResult;
import com.steerinfo.framework.mapper.IBaseMapper;
import java.math.*;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface TmsshipUnloadShipResultMapper extends IBaseMapper<TmsshipUnloadShipResult, BigDecimal> {
    // 查询最大id
    BigDecimal selectMaxId();

    // 插入
    int insert(TmsshipUnloadShipResult tmsshipUnloadShipResult);

    // 根据主键删除
    int deleteByPrimaryKey(BigDecimal resultId);

    //根据主键查看详细
    TmsshipUnloadShipResult selectByPrimaryKey(BigDecimal resultId);

    // 根据主键修改
    int updateByPrimaryKeySelective(TmsshipUnloadShipResult tmsshipUnloadShipResult);

    /**
     * 查询所有卸船作业信息
     * @return
     */
    List<Map<String,Object>> selectUnloadShipList(Map<String,Object> mapVal);
    /**
     * 查询卸船表单信息
     * @return
     */
    List<Map<String,Object>> selectUnloadShip(BigDecimal resultId);

    @Select("select seq_TMSSHIP_UNLOAD.nextval from dual")
    BigDecimal selectUnloadId();
}