package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="货权转移实绩")
public class AmsshipCargoTransferResult implements IBasePO<BigDecimal> {
    /**
     * 实绩ID(CARGO_TRANSFER_RESULT_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="实绩ID",required=true)
    private BigDecimal cargoTransferResultId;

    /**
     * 货权转移编号(RESULT_NUMBER,VARCHAR,20)
     */
    @ApiModelProperty(value="货权转移编号",required=false)
    private String resultNumber;

    /**
     * 货权转移送达单位(CARRIER_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="货权转移送达单位",required=false)
    private BigDecimal carrierId;

    /**
     * 联系人(RESULT_CONTACT_PERSON,VARCHAR,20)
     */
    @ApiModelProperty(value="联系人",required=false)
    private String resultContactPerson;

    /**
     * 联系电话/传真(RESULT_TELEPHONE_FAX,VARCHAR,50)
     */
    @ApiModelProperty(value="联系电话/传真",required=false)
    private String resultTelephoneFax;

    /**
     * 收货人ID(GROUP_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="收货人ID",required=false)
    private BigDecimal groupId;

    /**
     * 批次ID(BATCH_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="批次ID",required=false)
    private BigDecimal batchId;

    /**
     * 放货数量(RESULT_NUMBER_OF_LOANS,DECIMAL,0)
     */
    @ApiModelProperty(value="放货数量",required=false)
    private BigDecimal resultNumberOfLoans;

    /**
     * 货代信息(RESULT_FREIGHT_FORWARDING_INFO,VARCHAR,50)
     */
    @ApiModelProperty(value="货代信息",required=false)
    private String resultFreightForwardingInfo;

    /**
     * 说明(RESULT_MEMO,VARCHAR,128)
     */
    @ApiModelProperty(value="说明",required=false)
    private String resultMemo;

    /**
     * 废除人(DELETE_NAME,VARCHAR,16)
     */
    @ApiModelProperty(value="废除人",required=false)
    private String deleteName;

    /**
     * 废除时间(DELETE_TIME,VARCHAR,14)
     */
    @ApiModelProperty(value="废除时间",required=false)
    private String deleteTime;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    /**
     * 是否删除(DELETED,DECIMAL,0)
     */
    @ApiModelProperty(value="是否删除",required=false)
    private BigDecimal deleted;

    /**
     * 放货日期(RESULT_DATE_OF_LOANS,TIMESTAMP,7)
     */
    @ApiModelProperty(value="放货日期",required=false)
    private Date resultDateOfLoans;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.cargoTransferResultId;
    }

    @Override
    public void setId(BigDecimal cargoTransferResultId) {
        this.cargoTransferResultId = cargoTransferResultId;
    }

    public BigDecimal getCargoTransferResultId() {
        return cargoTransferResultId;
    }

    public void setCargoTransferResultId(BigDecimal cargoTransferResultId) {
        this.cargoTransferResultId = cargoTransferResultId;
    }

    public String getResultNumber() {
        return resultNumber;
    }

    public void setResultNumber(String resultNumber) {
        this.resultNumber = resultNumber == null ? null : resultNumber.trim();
    }

    public BigDecimal getCarrierId() {
        return carrierId;
    }

    public void setCarrierId(BigDecimal carrierId) {
        this.carrierId = carrierId;
    }

    public String getResultContactPerson() {
        return resultContactPerson;
    }

    public void setResultContactPerson(String resultContactPerson) {
        this.resultContactPerson = resultContactPerson == null ? null : resultContactPerson.trim();
    }

    public String getResultTelephoneFax() {
        return resultTelephoneFax;
    }

    public void setResultTelephoneFax(String resultTelephoneFax) {
        this.resultTelephoneFax = resultTelephoneFax == null ? null : resultTelephoneFax.trim();
    }

    public BigDecimal getGroupId() {
        return groupId;
    }

    public void setGroupId(BigDecimal groupId) {
        this.groupId = groupId;
    }

    public BigDecimal getBatchId() {
        return batchId;
    }

    public void setBatchId(BigDecimal batchId) {
        this.batchId = batchId;
    }

    public BigDecimal getResultNumberOfLoans() {
        return resultNumberOfLoans;
    }

    public void setResultNumberOfLoans(BigDecimal resultNumberOfLoans) {
        this.resultNumberOfLoans = resultNumberOfLoans;
    }

    public String getResultFreightForwardingInfo() {
        return resultFreightForwardingInfo;
    }

    public void setResultFreightForwardingInfo(String resultFreightForwardingInfo) {
        this.resultFreightForwardingInfo = resultFreightForwardingInfo == null ? null : resultFreightForwardingInfo.trim();
    }

    public String getResultMemo() {
        return resultMemo;
    }

    public void setResultMemo(String resultMemo) {
        this.resultMemo = resultMemo == null ? null : resultMemo.trim();
    }

    public String getDeleteName() {
        return deleteName;
    }

    public void setDeleteName(String deleteName) {
        this.deleteName = deleteName == null ? null : deleteName.trim();
    }

    public String getDeleteTime() {
        return deleteTime;
    }

    public void setDeleteTime(String deleteTime) {
        this.deleteTime = deleteTime == null ? null : deleteTime.trim();
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    public BigDecimal getDeleted() {
        return deleted;
    }

    public void setDeleted(BigDecimal deleted) {
        this.deleted = deleted;
    }

    public Date getResultDateOfLoans() {
        return resultDateOfLoans;
    }

    public void setResultDateOfLoans(Date resultDateOfLoans) {
        this.resultDateOfLoans = resultDateOfLoans;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", cargoTransferResultId=").append(cargoTransferResultId);
        sb.append(", resultNumber=").append(resultNumber);
        sb.append(", carrierId=").append(carrierId);
        sb.append(", resultContactPerson=").append(resultContactPerson);
        sb.append(", resultTelephoneFax=").append(resultTelephoneFax);
        sb.append(", groupId=").append(groupId);
        sb.append(", batchId=").append(batchId);
        sb.append(", resultNumberOfLoans=").append(resultNumberOfLoans);
        sb.append(", resultFreightForwardingInfo=").append(resultFreightForwardingInfo);
        sb.append(", resultMemo=").append(resultMemo);
        sb.append(", deleteName=").append(deleteName);
        sb.append(", deleteTime=").append(deleteTime);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", deleted=").append(deleted);
        sb.append(", resultDateOfLoans=").append(resultDateOfLoans);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}