package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="放货通知单")
public class AmsshipDeliveryNotice implements IBasePO<BigDecimal> {
    /**
     * 放货通知单ID(NOTICE_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="放货通知单ID",required=true)
    private BigDecimal noticeId;


    /**
     * 贸易方式(NOTICE_COMMERCE_METHOD,VARCHAR,20)
     */
    @ApiModelProperty(value="贸易方式",required=false)
    private String noticeCommerceMethod;

    /**
     * 交接方式(NOTICE_HANDOVER_METHOD,VARCHAR,20)
     */
    @ApiModelProperty(value="交接方式",required=false)
    private String noticeHandoverMethod;

    /**
     * 发货港口(PORT_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="发货港口",required=false)
    private BigDecimal portId;

    /**
     * 港建费金额(NOTICE_PORT_CONSTRUCTION_FEE,DECIMAL,0)
     */
    @ApiModelProperty(value="港建费金额",required=false)
    private BigDecimal noticePortConstructionFee;

    /**
     * 放货时间(NOTICE_DELIVERY_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="放货时间",required=false)
    private Date noticeDeliveryTime;

    /**
     * 免堆天数(NOTICE_PILE_FREE_DAYS,DECIMAL,0)
     */
    @ApiModelProperty(value="免堆天数",required=false)
    private BigDecimal noticePileFreeDays;

    /**
     * 废除人(DELETE_NAME,VARCHAR,16)
     */
    @ApiModelProperty(value="废除人",required=false)
    private String deleteName;

    /**
     * 废除时间(DELETE_TIME,VARCHAR,14)
     */
    @ApiModelProperty(value="废除时间",required=false)
    private String deleteTime;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    /**
     * 下发状态（0为未下发，1为已下发)(NOTICE_DISTRIBUTION_STATUS,DECIMAL,0)
     */
    @ApiModelProperty(value="下发状态（0为未下发，1为已下发)",required=false)
    private BigDecimal noticeDistributionStatus;

    /**
     * 是否删除(DELETED,DECIMAL,0)
     */
    @ApiModelProperty(value="是否删除",required=false)
    private BigDecimal deleted;

    /**
     * 批次Id(BATCH_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="批次Id",required=false)
    private BigDecimal batchId;

    /**
     * 单价（从采购合同中获取）(PURCHASE_CONTRACT_UNIT_PRICE,DECIMAL,0)
     */
    @ApiModelProperty(value="单价（从采购合同中获取）",required=false)
    private BigDecimal purchaseContractUnitPrice;

    /**
     * 合同水分（从采购合同中获取）(PURCHASE_CONTRACT_MOISTURE,VARCHAR,20)
     */
    @ApiModelProperty(value="合同水分（从采购合同中获取）",required=false)
    private String purchaseContractMoisture;

    /**
     * TFe含量(TFE_CONTENT,VARCHAR,20)
     */
    @ApiModelProperty(value="TFe含量",required=false)
    private String tfeContent;

    /**
     * 二氧化硅含量(SILICA_CONTENT,VARCHAR,20)
     */
    @ApiModelProperty(value="二氧化硅含量",required=false)
    private String silicaContent;

    /**
     * 氧化铝含量(ALUMINA_CONTENT,VARCHAR,20)
     */
    @ApiModelProperty(value="氧化铝含量",required=false)
    private String aluminaContent;

    /**
     * 磷含量(PHOSPHORUS_CONTENT,VARCHAR,20)
     */
    @ApiModelProperty(value="磷含量",required=false)
    private String phosphorusContent;

    /**
     * 锰含量(MANGANESE_CONTENT,VARCHAR,20)
     */
    @ApiModelProperty(value="锰含量",required=false)
    private String manganeseContent;

    /**
     * 是否需要港建费(IS_NEED_PORT_FEE,VARCHAR,20)
     */
    @ApiModelProperty(value="是否需要港建费",required=false)
    private String isNeedPortFee;

    /**
     * 是否需要港口装卸费(IS_NEED_PORT_CHARGE,VARCHAR,20)
     */
    @ApiModelProperty(value="是否需要港口装卸费",required=false)
    private String isNeedPortCharge;

    /**
     * 物资种类id(MATERIAL_TYPE_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="物资种类id",required=false)
    private BigDecimal materialTypeId;

    /**
     * 联系人(RESULT_CONTACT_PERSON,VARCHAR,20)
     */
    @ApiModelProperty(value="联系人",required=false)
    private String resultContactPerson;

    /**
     * 联系电话/传真(RESULT_TELEPHONE_FAX,VARCHAR,50)
     */
    @ApiModelProperty(value="联系电话/传真",required=false)
    private String resultTelephoneFax;

    /**
     * 收货人ID(GROUP_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="收货人ID",required=false)
    private BigDecimal groupId;

    /**
     * 放货数量(RESULT_NUMBER_OF_LOANS,DECIMAL,0)
     */
    @ApiModelProperty(value="放货数量",required=false)
    private BigDecimal resultNumberOfLoans;

    /**
     * 货代信息(RESULT_FREIGHT_FORWARDING_INFO,VARCHAR,50)
     */
    @ApiModelProperty(value="货代信息",required=false)
    private String resultFreightForwardingInfo;

    /**
     * 说明(RESULT_MEMO,VARCHAR,128)
     */
    @ApiModelProperty(value="说明",required=false)
    private String resultMemo;

    /**
     * 放货日期(RESULT_DATE_OF_LOANS,TIMESTAMP,7)
     */
    @ApiModelProperty(value="放货日期",required=false)
    private Date resultDateOfLoans;

    /**
     * 货权转移送达单位(CARGO_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="货权转移送达单位",required=false)
    private BigDecimal cargoId;

    /**
     * 货权转移附件(CARGO_IMAGE_URL,VARCHAR,255)
     */
    @ApiModelProperty(value="货权转移附件",required=false)
    private String cargoImageUrl;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.noticeId;
    }

    @Override
    public void setId(BigDecimal noticeId) {
        this.noticeId = noticeId;
    }

    public BigDecimal getNoticeId() {
        return noticeId;
    }

    public void setNoticeId(BigDecimal noticeId) {
        this.noticeId = noticeId;
    }


    public String getNoticeCommerceMethod() {
        return noticeCommerceMethod;
    }

    public void setNoticeCommerceMethod(String noticeCommerceMethod) {
        this.noticeCommerceMethod = noticeCommerceMethod == null ? null : noticeCommerceMethod.trim();
    }

    public String getNoticeHandoverMethod() {
        return noticeHandoverMethod;
    }

    public void setNoticeHandoverMethod(String noticeHandoverMethod) {
        this.noticeHandoverMethod = noticeHandoverMethod == null ? null : noticeHandoverMethod.trim();
    }

    public BigDecimal getPortId() {
        return portId;
    }

    public void setPortId(BigDecimal portId) {
        this.portId = portId;
    }

    public BigDecimal getNoticePortConstructionFee() {
        return noticePortConstructionFee;
    }

    public void setNoticePortConstructionFee(BigDecimal noticePortConstructionFee) {
        this.noticePortConstructionFee = noticePortConstructionFee;
    }

    public Date getNoticeDeliveryTime() {
        return noticeDeliveryTime;
    }

    public void setNoticeDeliveryTime(Date noticeDeliveryTime) {
        this.noticeDeliveryTime = noticeDeliveryTime;
    }

    public BigDecimal getNoticePileFreeDays() {
        return noticePileFreeDays;
    }

    public void setNoticePileFreeDays(BigDecimal noticePileFreeDays) {
        this.noticePileFreeDays = noticePileFreeDays;
    }

    public String getDeleteName() {
        return deleteName;
    }

    public void setDeleteName(String deleteName) {
        this.deleteName = deleteName == null ? null : deleteName.trim();
    }

    public String getDeleteTime() {
        return deleteTime;
    }

    public void setDeleteTime(String deleteTime) {
        this.deleteTime = deleteTime == null ? null : deleteTime.trim();
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    public BigDecimal getNoticeDistributionStatus() {
        return noticeDistributionStatus;
    }

    public void setNoticeDistributionStatus(BigDecimal noticeDistributionStatus) {
        this.noticeDistributionStatus = noticeDistributionStatus;
    }

    public BigDecimal getDeleted() {
        return deleted;
    }

    public void setDeleted(BigDecimal deleted) {
        this.deleted = deleted;
    }

    public BigDecimal getBatchId() {
        return batchId;
    }

    public void setBatchId(BigDecimal batchId) {
        this.batchId = batchId;
    }

    public BigDecimal getPurchaseContractUnitPrice() {
        return purchaseContractUnitPrice;
    }

    public void setPurchaseContractUnitPrice(BigDecimal purchaseContractUnitPrice) {
        this.purchaseContractUnitPrice = purchaseContractUnitPrice;
    }

    public String getPurchaseContractMoisture() {
        return purchaseContractMoisture;
    }

    public void setPurchaseContractMoisture(String purchaseContractMoisture) {
        this.purchaseContractMoisture = purchaseContractMoisture == null ? null : purchaseContractMoisture.trim();
    }

    public String getTfeContent() {
        return tfeContent;
    }

    public void setTfeContent(String tfeContent) {
        this.tfeContent = tfeContent == null ? null : tfeContent.trim();
    }

    public String getSilicaContent() {
        return silicaContent;
    }

    public void setSilicaContent(String silicaContent) {
        this.silicaContent = silicaContent == null ? null : silicaContent.trim();
    }

    public String getAluminaContent() {
        return aluminaContent;
    }

    public void setAluminaContent(String aluminaContent) {
        this.aluminaContent = aluminaContent == null ? null : aluminaContent.trim();
    }

    public String getPhosphorusContent() {
        return phosphorusContent;
    }

    public void setPhosphorusContent(String phosphorusContent) {
        this.phosphorusContent = phosphorusContent == null ? null : phosphorusContent.trim();
    }

    public String getManganeseContent() {
        return manganeseContent;
    }

    public void setManganeseContent(String manganeseContent) {
        this.manganeseContent = manganeseContent == null ? null : manganeseContent.trim();
    }

    public String getIsNeedPortFee() {
        return isNeedPortFee;
    }

    public void setIsNeedPortFee(String isNeedPortFee) {
        this.isNeedPortFee = isNeedPortFee == null ? null : isNeedPortFee.trim();
    }

    public String getIsNeedPortCharge() {
        return isNeedPortCharge;
    }

    public void setIsNeedPortCharge(String isNeedPortCharge) {
        this.isNeedPortCharge = isNeedPortCharge == null ? null : isNeedPortCharge.trim();
    }

    public BigDecimal getMaterialTypeId() {
        return materialTypeId;
    }

    public void setMaterialTypeId(BigDecimal materialTypeId) {
        this.materialTypeId = materialTypeId;
    }

    public String getResultContactPerson() {
        return resultContactPerson;
    }

    public void setResultContactPerson(String resultContactPerson) {
        this.resultContactPerson = resultContactPerson == null ? null : resultContactPerson.trim();
    }

    public String getResultTelephoneFax() {
        return resultTelephoneFax;
    }

    public void setResultTelephoneFax(String resultTelephoneFax) {
        this.resultTelephoneFax = resultTelephoneFax == null ? null : resultTelephoneFax.trim();
    }

    public BigDecimal getGroupId() {
        return groupId;
    }

    public void setGroupId(BigDecimal groupId) {
        this.groupId = groupId;
    }

    public BigDecimal getResultNumberOfLoans() {
        return resultNumberOfLoans;
    }

    public void setResultNumberOfLoans(BigDecimal resultNumberOfLoans) {
        this.resultNumberOfLoans = resultNumberOfLoans;
    }

    public String getResultFreightForwardingInfo() {
        return resultFreightForwardingInfo;
    }

    public void setResultFreightForwardingInfo(String resultFreightForwardingInfo) {
        this.resultFreightForwardingInfo = resultFreightForwardingInfo == null ? null : resultFreightForwardingInfo.trim();
    }

    public String getResultMemo() {
        return resultMemo;
    }

    public void setResultMemo(String resultMemo) {
        this.resultMemo = resultMemo == null ? null : resultMemo.trim();
    }

    public Date getResultDateOfLoans() {
        return resultDateOfLoans;
    }

    public void setResultDateOfLoans(Date resultDateOfLoans) {
        this.resultDateOfLoans = resultDateOfLoans;
    }

    public BigDecimal getCargoId() {
        return cargoId;
    }

    public void setCargoId(BigDecimal cargoId) {
        this.cargoId = cargoId;
    }

    public String getCargoImageUrl() {
        return cargoImageUrl;
    }

    public void setCargoImageUrl(String cargoImageUrl) {
        this.cargoImageUrl = cargoImageUrl == null ? null : cargoImageUrl.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", noticeId=").append(noticeId);
        sb.append(", noticeCommerceMethod=").append(noticeCommerceMethod);
        sb.append(", noticeHandoverMethod=").append(noticeHandoverMethod);
        sb.append(", portId=").append(portId);
        sb.append(", noticePortConstructionFee=").append(noticePortConstructionFee);
        sb.append(", noticeDeliveryTime=").append(noticeDeliveryTime);
        sb.append(", noticePileFreeDays=").append(noticePileFreeDays);
        sb.append(", deleteName=").append(deleteName);
        sb.append(", deleteTime=").append(deleteTime);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", noticeDistributionStatus=").append(noticeDistributionStatus);
        sb.append(", deleted=").append(deleted);
        sb.append(", batchId=").append(batchId);
        sb.append(", purchaseContractUnitPrice=").append(purchaseContractUnitPrice);
        sb.append(", purchaseContractMoisture=").append(purchaseContractMoisture);
        sb.append(", tfeContent=").append(tfeContent);
        sb.append(", silicaContent=").append(silicaContent);
        sb.append(", aluminaContent=").append(aluminaContent);
        sb.append(", phosphorusContent=").append(phosphorusContent);
        sb.append(", manganeseContent=").append(manganeseContent);
        sb.append(", isNeedPortFee=").append(isNeedPortFee);
        sb.append(", isNeedPortCharge=").append(isNeedPortCharge);
        sb.append(", materialTypeId=").append(materialTypeId);
        sb.append(", resultContactPerson=").append(resultContactPerson);
        sb.append(", resultTelephoneFax=").append(resultTelephoneFax);
        sb.append(", groupId=").append(groupId);
        sb.append(", resultNumberOfLoans=").append(resultNumberOfLoans);
        sb.append(", resultFreightForwardingInfo=").append(resultFreightForwardingInfo);
        sb.append(", resultMemo=").append(resultMemo);
        sb.append(", resultDateOfLoans=").append(resultDateOfLoans);
        sb.append(", cargoId=").append(cargoId);
        sb.append(", cargoImageUrl=").append(cargoImageUrl);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}