package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="装船指令")
public class OmsshipShipmentInstructions implements IBasePO<BigDecimal> {
    /**
     * 主键ID(SHIPMENT_INSTRUCTIONS_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="主键ID",required=true)
    private BigDecimal shipmentInstructionsId;

    /**
     * 批次ID(BATCH_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="批次ID",required=false)
    private BigDecimal batchId;

    /**
     * 收件人ID（下游码头）(RECIPIENT_CARRIER_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="收件人ID（下游码头）",required=false)
    private BigDecimal recipientCarrierId;

    /**
     * 发件人ID（港口）(PORT_CARRIER_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="发件人ID（港口）",required=false)
    private BigDecimal portCarrierId;

    /**
     * 合计吨位(INSTRUCTIONS_TOTAL_TONNAGE,DECIMAL,0)
     */
    @ApiModelProperty(value="合计吨位",required=false)
    private BigDecimal instructionsTotalTonnage;

    /**
     * 日期(INSTRUCTION_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="日期",required=false)
    private Date instructionTime;

    /**
     * 废除人(DELETE_NAME,VARCHAR,16)
     */
    @ApiModelProperty(value="废除人",required=false)
    private String deleteName;

    /**
     * 废除时间(DELETE_TIME,VARCHAR,14)
     */
    @ApiModelProperty(value="废除时间",required=false)
    private String deleteTime;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    /**
     * 是否删除(DELETED,DECIMAL,0)
     */
    @ApiModelProperty(value="是否删除",required=false)
    private BigDecimal deleted;

    /**
     * 下发状态（0：未下发，1：已下发）(INSTRUCTION_ISSUE_STATUS,VARCHAR,20)
     */
    @ApiModelProperty(value="下发状态（0：未下发，1：已下发）",required=false)
    private String instructionIssueStatus;

    /**
     * 装船指令状态(INSTRUCTIONS_STATUS,VARCHAR,20)
     */
    @ApiModelProperty(value="装船指令状态",required=false)
    private String instructionsStatus;

    /**
     * 中转港(TRANSIT_PORT,DECIMAL,20)
     */
    @ApiModelProperty(value="中转港",required=false)
    private BigDecimal transitPort;

    /**
     * 二程: 交接方式(HANDOVER_MODE,VARCHAR,20)
     */
    @ApiModelProperty(value="二程: 交接方式",required=false)
    private String handoverMode;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.shipmentInstructionsId;
    }

    @Override
    public void setId(BigDecimal shipmentInstructionsId) {
        this.shipmentInstructionsId = shipmentInstructionsId;
    }

    public BigDecimal getShipmentInstructionsId() {
        return shipmentInstructionsId;
    }

    public void setShipmentInstructionsId(BigDecimal shipmentInstructionsId) {
        this.shipmentInstructionsId = shipmentInstructionsId;
    }

    public BigDecimal getBatchId() {
        return batchId;
    }

    public void setBatchId(BigDecimal batchId) {
        this.batchId = batchId;
    }

    public BigDecimal getRecipientCarrierId() {
        return recipientCarrierId;
    }

    public void setRecipientCarrierId(BigDecimal recipientCarrierId) {
        this.recipientCarrierId = recipientCarrierId;
    }

    public BigDecimal getPortCarrierId() {
        return portCarrierId;
    }

    public void setPortCarrierId(BigDecimal portCarrierId) {
        this.portCarrierId = portCarrierId;
    }

    public BigDecimal getInstructionsTotalTonnage() {
        return instructionsTotalTonnage;
    }

    public void setInstructionsTotalTonnage(BigDecimal instructionsTotalTonnage) {
        this.instructionsTotalTonnage = instructionsTotalTonnage;
    }

    public Date getInstructionTime() {
        return instructionTime;
    }

    public void setInstructionTime(Date instructionTime) {
        this.instructionTime = instructionTime;
    }

    public String getDeleteName() {
        return deleteName;
    }

    public void setDeleteName(String deleteName) {
        this.deleteName = deleteName == null ? null : deleteName.trim();
    }

    public String getDeleteTime() {
        return deleteTime;
    }

    public void setDeleteTime(String deleteTime) {
        this.deleteTime = deleteTime == null ? null : deleteTime.trim();
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    public BigDecimal getDeleted() {
        return deleted;
    }

    public void setDeleted(BigDecimal deleted) {
        this.deleted = deleted;
    }

    public String getInstructionIssueStatus() {
        return instructionIssueStatus;
    }

    public void setInstructionIssueStatus(String instructionIssueStatus) {
        this.instructionIssueStatus = instructionIssueStatus == null ? null : instructionIssueStatus.trim();
    }

    public String getInstructionsStatus() {
        return instructionsStatus;
    }

    public void setInstructionsStatus(String instructionsStatus) {
        this.instructionsStatus = instructionsStatus == null ? null : instructionsStatus.trim();
    }

    public BigDecimal getTransitPort() {
        return transitPort;
    }

    public void setTransitPort(BigDecimal transitPort) {
        this.transitPort = transitPort;
    }

    public String getHandoverMode() {
        return handoverMode;
    }

    public void setHandoverMode(String handoverMode) {
        this.handoverMode = handoverMode == null ? null : handoverMode.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", shipmentInstructionsId=").append(shipmentInstructionsId);
        sb.append(", batchId=").append(batchId);
        sb.append(", recipientCarrierId=").append(recipientCarrierId);
        sb.append(", portCarrierId=").append(portCarrierId);
        sb.append(", instructionsTotalTonnage=").append(instructionsTotalTonnage);
        sb.append(", instructionTime=").append(instructionTime);
        sb.append(", deleteName=").append(deleteName);
        sb.append(", deleteTime=").append(deleteTime);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", deleted=").append(deleted);
        sb.append(", instructionIssueStatus=").append(instructionIssueStatus);
        sb.append(", instructionsStatus=").append(instructionsStatus);
        sb.append(", transitPort=").append(transitPort);
        sb.append(", handoverMode=").append(handoverMode);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}