package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="驳船作业")
public class TmsshipBargeOperation implements IBasePO<BigDecimal> {
    /**
     * 主键ID(BARGE_OPERATION_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="主键ID",required=true)
    private BigDecimal bargeOperationId;

    /**
     * 总实绩ID(RESULT_TOTAL_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="总实绩ID",required=false)
    private BigDecimal resultTotalId;

    /**
     * 小船装载重量(BARGE_SMALLSHIP_LOAD_WEIGHT,DECIMAL,0)
     */
    @ApiModelProperty(value="小船装载重量",required=false)
    private BigDecimal bargeSmallshipLoadWeight;

    /**
     * 小船ID(SMALL_CAPACITY_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="小船ID",required=false)
    private BigDecimal smallCapacityId;

    /**
     * 分驳日期(BARGE_REFUTE_DATE,TIMESTAMP,7)
     */
    @ApiModelProperty(value="分驳日期",required=false)
    private Date bargeRefuteDate;

    /**
     * 分驳地点(BARGE_REFUTE_LOCATION,VARCHAR,20)
     */
    @ApiModelProperty(value="分驳地点",required=false)
    private String bargeRefuteLocation;

    /**
     * 废除人(DELETE_NAME,VARCHAR,16)
     */
    @ApiModelProperty(value="废除人",required=false)
    private String deleteName;

    /**
     * 废除时间(DELETE_TIME,VARCHAR,14)
     */
    @ApiModelProperty(value="废除时间",required=false)
    private String deleteTime;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    /**
     * 逻辑删除(DELETED,DECIMAL,0)
     */
    @ApiModelProperty(value="逻辑删除",required=false)
    private BigDecimal deleted;

    /**
     * 回驳日期(BARGE_BACK_DATE,TIMESTAMP,7)
     */
    @ApiModelProperty(value="回驳日期",required=false)
    private Date bargeBackDate;

    /**
     * 回驳地点(BARGE_BACK_LOCATION,VARCHAR,20)
     */
    @ApiModelProperty(value="回驳地点",required=false)
    private String bargeBackLocation;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.bargeOperationId;
    }

    @Override
    public void setId(BigDecimal bargeOperationId) {
        this.bargeOperationId = bargeOperationId;
    }

    public BigDecimal getBargeOperationId() {
        return bargeOperationId;
    }

    public void setBargeOperationId(BigDecimal bargeOperationId) {
        this.bargeOperationId = bargeOperationId;
    }

    public BigDecimal getResultTotalId() {
        return resultTotalId;
    }

    public void setResultTotalId(BigDecimal resultTotalId) {
        this.resultTotalId = resultTotalId;
    }

    public BigDecimal getBargeSmallshipLoadWeight() {
        return bargeSmallshipLoadWeight;
    }

    public void setBargeSmallshipLoadWeight(BigDecimal bargeSmallshipLoadWeight) {
        this.bargeSmallshipLoadWeight = bargeSmallshipLoadWeight;
    }

    public BigDecimal getSmallCapacityId() {
        return smallCapacityId;
    }

    public void setSmallCapacityId(BigDecimal smallCapacityId) {
        this.smallCapacityId = smallCapacityId;
    }

    public Date getBargeRefuteDate() {
        return bargeRefuteDate;
    }

    public void setBargeRefuteDate(Date bargeRefuteDate) {
        this.bargeRefuteDate = bargeRefuteDate;
    }

    public String getBargeRefuteLocation() {
        return bargeRefuteLocation;
    }

    public void setBargeRefuteLocation(String bargeRefuteLocation) {
        this.bargeRefuteLocation = bargeRefuteLocation == null ? null : bargeRefuteLocation.trim();
    }

    public String getDeleteName() {
        return deleteName;
    }

    public void setDeleteName(String deleteName) {
        this.deleteName = deleteName == null ? null : deleteName.trim();
    }

    public String getDeleteTime() {
        return deleteTime;
    }

    public void setDeleteTime(String deleteTime) {
        this.deleteTime = deleteTime == null ? null : deleteTime.trim();
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    public BigDecimal getDeleted() {
        return deleted;
    }

    public void setDeleted(BigDecimal deleted) {
        this.deleted = deleted;
    }

    public Date getBargeBackDate() {
        return bargeBackDate;
    }

    public void setBargeBackDate(Date bargeBackDate) {
        this.bargeBackDate = bargeBackDate;
    }

    public String getBargeBackLocation() {
        return bargeBackLocation;
    }

    public void setBargeBackLocation(String bargeBackLocation) {
        this.bargeBackLocation = bargeBackLocation == null ? null : bargeBackLocation.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", bargeOperationId=").append(bargeOperationId);
        sb.append(", resultTotalId=").append(resultTotalId);
        sb.append(", bargeSmallshipLoadWeight=").append(bargeSmallshipLoadWeight);
        sb.append(", smallCapacityId=").append(smallCapacityId);
        sb.append(", bargeRefuteDate=").append(bargeRefuteDate);
        sb.append(", bargeRefuteLocation=").append(bargeRefuteLocation);
        sb.append(", deleteName=").append(deleteName);
        sb.append(", deleteTime=").append(deleteTime);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", deleted=").append(deleted);
        sb.append(", bargeBackDate=").append(bargeBackDate);
        sb.append(", bargeBackLocation=").append(bargeBackLocation);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}