package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="抵达码头实绩")
public class TmsshipEntryWharyResult implements IBasePO<BigDecimal> {
    /**
     * 主键id(RESULT_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="主键id",required=true)
    private BigDecimal resultId;

    /**
     * 总实绩ID(TOTAL_RESULT_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="总实绩ID",required=false)
    private BigDecimal totalResultId;

    /**
     * 实绩编号(RESULT_NUMBER,VARCHAR,20)
     */
    @ApiModelProperty(value="实绩编号",required=false)
    private String resultNumber;

    /**
     * 码头ID(WHARY_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="码头ID",required=false)
    private BigDecimal wharyId;

    /**
     * 报港时间(RESULT_PORT_DECLARATION_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="报港时间",required=false)
    private Date resultPortDeclarationTime;

    /**
     * 报港确认人(RESULT_PORT_DECLARATION_NAME,VARCHAR,20)
     */
    @ApiModelProperty(value="报港确认人",required=false)
    private String resultPortDeclarationName;

    /**
     * 抵达时间(RESULT_ARRIVAL_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="抵达时间",required=false)
    private Date resultArrivalTime;

    /**
     * 备注(RESULT_MEMO,VARCHAR,128)
     */
    @ApiModelProperty(value="备注",required=false)
    private String resultMemo;

    /**
     * 废除人(DELETE_NAME,VARCHAR,16)
     */
    @ApiModelProperty(value="废除人",required=false)
    private String deleteName;

    /**
     * 废除时间(DELETE_TIME,VARCHAR,14)
     */
    @ApiModelProperty(value="废除时间",required=false)
    private String deleteTime;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.resultId;
    }

    @Override
    public void setId(BigDecimal resultId) {
        this.resultId = resultId;
    }

    public BigDecimal getResultId() {
        return resultId;
    }

    public void setResultId(BigDecimal resultId) {
        this.resultId = resultId;
    }

    public BigDecimal getTotalResultId() {
        return totalResultId;
    }

    public void setTotalResultId(BigDecimal totalResultId) {
        this.totalResultId = totalResultId;
    }

    public String getResultNumber() {
        return resultNumber;
    }

    public void setResultNumber(String resultNumber) {
        this.resultNumber = resultNumber == null ? null : resultNumber.trim();
    }

    public BigDecimal getWharyId() {
        return wharyId;
    }

    public void setWharyId(BigDecimal wharyId) {
        this.wharyId = wharyId;
    }

    public Date getResultPortDeclarationTime() {
        return resultPortDeclarationTime;
    }

    public void setResultPortDeclarationTime(Date resultPortDeclarationTime) {
        this.resultPortDeclarationTime = resultPortDeclarationTime;
    }

    public String getResultPortDeclarationName() {
        return resultPortDeclarationName;
    }

    public void setResultPortDeclarationName(String resultPortDeclarationName) {
        this.resultPortDeclarationName = resultPortDeclarationName == null ? null : resultPortDeclarationName.trim();
    }

    public Date getResultArrivalTime() {
        return resultArrivalTime;
    }

    public void setResultArrivalTime(Date resultArrivalTime) {
        this.resultArrivalTime = resultArrivalTime;
    }

    public String getResultMemo() {
        return resultMemo;
    }

    public void setResultMemo(String resultMemo) {
        this.resultMemo = resultMemo == null ? null : resultMemo.trim();
    }

    public String getDeleteName() {
        return deleteName;
    }

    public void setDeleteName(String deleteName) {
        this.deleteName = deleteName == null ? null : deleteName.trim();
    }

    public String getDeleteTime() {
        return deleteTime;
    }

    public void setDeleteTime(String deleteTime) {
        this.deleteTime = deleteTime == null ? null : deleteTime.trim();
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", resultId=").append(resultId);
        sb.append(", totalResultId=").append(totalResultId);
        sb.append(", resultNumber=").append(resultNumber);
        sb.append(", wharyId=").append(wharyId);
        sb.append(", resultPortDeclarationTime=").append(resultPortDeclarationTime);
        sb.append(", resultPortDeclarationName=").append(resultPortDeclarationName);
        sb.append(", resultArrivalTime=").append(resultArrivalTime);
        sb.append(", resultMemo=").append(resultMemo);
        sb.append(", deleteName=").append(deleteName);
        sb.append(", deleteTime=").append(deleteTime);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}