package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="船舶位置表")
public class TmsshipShipLocation implements IBasePO<BigDecimal> {
    /**
     * 主键ID(LOCATION_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="主键ID",required=true)
    private BigDecimal locationId;

    /**
     * 总实绩ID(TOTAL_RESULT_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="总实绩ID",required=false)
    private BigDecimal totalResultId;

    /**
     * 途径位置(LOCATION_VALUE,VARCHAR,20)
     */
    @ApiModelProperty(value="途径位置",required=false)
    private String locationValue;

    /**
     * 途径时间(LOCATION_ROUTE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="途径时间",required=false)
    private Date locationRouteTime;

    /**
     * 备注说明(LOCATION_MEMO,VARCHAR,50)
     */
    @ApiModelProperty(value="备注说明",required=false)
    private String locationMemo;

    /**
     * 废除人(DELETE_NAME,VARCHAR,16)
     */
    @ApiModelProperty(value="废除人",required=false)
    private String deleteName;

    /**
     * 废除时间(DELETE_TIME,VARCHAR,14)
     */
    @ApiModelProperty(value="废除时间",required=false)
    private String deleteTime;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    /**
     * 位置状态:未到闸船舶、等闸船舶、已过闸船舶、到港待卸船舶(LOCATION_STATUS,VARCHAR,36)
     */
    @ApiModelProperty(value="位置状态:未到闸船舶、等闸船舶、已过闸船舶、到港待卸船舶",required=false)
    private String locationStatus;

    /**
     * 逻辑删除(DELETED,DECIMAL,0)
     */
    @ApiModelProperty(value="逻辑删除",required=false)
    private BigDecimal deleted;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.locationId;
    }

    @Override
    public void setId(BigDecimal locationId) {
        this.locationId = locationId;
    }

    public BigDecimal getLocationId() {
        return locationId;
    }

    public void setLocationId(BigDecimal locationId) {
        this.locationId = locationId;
    }

    public BigDecimal getTotalResultId() {
        return totalResultId;
    }

    public void setTotalResultId(BigDecimal totalResultId) {
        this.totalResultId = totalResultId;
    }

    public String getLocationValue() {
        return locationValue;
    }

    public void setLocationValue(String locationValue) {
        this.locationValue = locationValue == null ? null : locationValue.trim();
    }

    public Date getLocationRouteTime() {
        return locationRouteTime;
    }

    public void setLocationRouteTime(Date locationRouteTime) {
        this.locationRouteTime = locationRouteTime;
    }

    public String getLocationMemo() {
        return locationMemo;
    }

    public void setLocationMemo(String locationMemo) {
        this.locationMemo = locationMemo == null ? null : locationMemo.trim();
    }

    public String getDeleteName() {
        return deleteName;
    }

    public void setDeleteName(String deleteName) {
        this.deleteName = deleteName == null ? null : deleteName.trim();
    }

    public String getDeleteTime() {
        return deleteTime;
    }

    public void setDeleteTime(String deleteTime) {
        this.deleteTime = deleteTime == null ? null : deleteTime.trim();
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    public String getLocationStatus() {
        return locationStatus;
    }

    public void setLocationStatus(String locationStatus) {
        this.locationStatus = locationStatus == null ? null : locationStatus.trim();
    }

    public BigDecimal getDeleted() {
        return deleted;
    }

    public void setDeleted(BigDecimal deleted) {
        this.deleted = deleted;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", locationId=").append(locationId);
        sb.append(", totalResultId=").append(totalResultId);
        sb.append(", locationValue=").append(locationValue);
        sb.append(", locationRouteTime=").append(locationRouteTime);
        sb.append(", locationMemo=").append(locationMemo);
        sb.append(", deleteName=").append(deleteName);
        sb.append(", deleteTime=").append(deleteTime);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", locationStatus=").append(locationStatus);
        sb.append(", deleted=").append(deleted);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}