package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="卸船实绩")
public class TmsshipUnloadShipResult implements IBasePO<BigDecimal> {
    /**
     * 实绩ID(RESULT_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="实绩ID",required=true)
    private BigDecimal resultId;

    /**
     * 总实绩ID(TOTAL_RESULT_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="总实绩ID",required=false)
    private BigDecimal totalResultId;

    /**
     * 抵港日期(RESULT_ARRIVAL_DATE,TIMESTAMP,7)
     */
    @ApiModelProperty(value="抵港日期",required=false)
    private Date resultArrivalDate;

    /**
     * 卸船开始时间(RESULT_START_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="卸船开始时间",required=false)
    private Date resultStartTime;

    /**
     * 卸船结束时间(RESULT_END_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="卸船结束时间",required=false)
    private Date resultEndTime;

    /**
     * 卸船状态（已盖蓬，未盖蓬）(RESULT_STATUS,VARCHAR,20)
     */
    @ApiModelProperty(value="卸船状态（已盖蓬，未盖蓬）",required=false)
    private String resultStatus;

    /**
     * 废除人(DELETE_NAME,VARCHAR,16)
     */
    @ApiModelProperty(value="废除人",required=false)
    private String deleteName;

    /**
     * 废除时间(DELETE_TIME,VARCHAR,14)
     */
    @ApiModelProperty(value="废除时间",required=false)
    private String deleteTime;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    /**
     * 逻辑删除(DELETED,DECIMAL,0)
     */
    @ApiModelProperty(value="逻辑删除",required=false)
    private BigDecimal deleted;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.resultId;
    }

    @Override
    public void setId(BigDecimal resultId) {
        this.resultId = resultId;
    }

    public BigDecimal getResultId() {
        return resultId;
    }

    public void setResultId(BigDecimal resultId) {
        this.resultId = resultId;
    }

    public BigDecimal getTotalResultId() {
        return totalResultId;
    }

    public void setTotalResultId(BigDecimal totalResultId) {
        this.totalResultId = totalResultId;
    }

    public Date getResultArrivalDate() {
        return resultArrivalDate;
    }

    public void setResultArrivalDate(Date resultArrivalDate) {
        this.resultArrivalDate = resultArrivalDate;
    }

    public Date getResultStartTime() {
        return resultStartTime;
    }

    public void setResultStartTime(Date resultStartTime) {
        this.resultStartTime = resultStartTime;
    }

    public Date getResultEndTime() {
        return resultEndTime;
    }

    public void setResultEndTime(Date resultEndTime) {
        this.resultEndTime = resultEndTime;
    }

    public String getResultStatus() {
        return resultStatus;
    }

    public void setResultStatus(String resultStatus) {
        this.resultStatus = resultStatus == null ? null : resultStatus.trim();
    }

    public String getDeleteName() {
        return deleteName;
    }

    public void setDeleteName(String deleteName) {
        this.deleteName = deleteName == null ? null : deleteName.trim();
    }

    public String getDeleteTime() {
        return deleteTime;
    }

    public void setDeleteTime(String deleteTime) {
        this.deleteTime = deleteTime == null ? null : deleteTime.trim();
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    public BigDecimal getDeleted() {
        return deleted;
    }

    public void setDeleted(BigDecimal deleted) {
        this.deleted = deleted;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", resultId=").append(resultId);
        sb.append(", totalResultId=").append(totalResultId);
        sb.append(", resultArrivalDate=").append(resultArrivalDate);
        sb.append(", resultStartTime=").append(resultStartTime);
        sb.append(", resultEndTime=").append(resultEndTime);
        sb.append(", resultStatus=").append(resultStatus);
        sb.append(", deleteName=").append(deleteName);
        sb.append(", deleteTime=").append(deleteTime);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", deleted=").append(deleted);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}