package com.steerinfo.dil.service;

import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.dil.model.TmsshipBargeOperation;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * TmsshipBargeOperation服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-08-18 04:04
 * 类描述
 * 修订历史：
 * 日期：2021-08-18
 * 作者：generator
 * 参考：
 * 描述：TmsshipBargeOperation服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface ITmsshipBargeOperationService {

    /**
     * 新增驳船作业
     * @param map
     * @return
     */
    int insertBargeOperation(Map<String,Object> map);

    /**
     * 查询驳船作业
     * @param bargeOperationId
     * @return
     */
    TmsshipBargeOperation selectBargeOperation(BigDecimal bargeOperationId);

    /**
     * 删除驳船作业
     * @param bargeOperationId
     * @return
     */
    int deleteBargeOperation(BigDecimal bargeOperationId);

    /**
     * 修改驳船作业
     * @param tmsshipBargeOperation
     * @return
     */
    int updateBargeOperation(TmsshipBargeOperation tmsshipBargeOperation);

    /**
     * 查询驳船信息列表
     * @param mapVal
     * @return
     */
    List<Map<String,Object>> selectBargeOperationList(Map<String,Object> mapVal);

    /**
     * 查询表单信息
     * @param bargeOperationId
     * @return
     */
    List<Map<String,Object>> getBargeOperation(BigDecimal bargeOperationId);

}