package com.steerinfo.dil.service.impl;

import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import com.steerinfo.dil.model.TmsshipBargeOperation;
import com.steerinfo.dil.mapper.TmsshipBargeOperationMapper;
import com.steerinfo.dil.service.ITmsshipBargeOperationService;
import io.swagger.models.auth.In;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * TmsshipBargeOperation服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-08-18 04:04
 * 类描述
 * 修订历史：
 * 日期：2021-08-18
 * 作者：generator
 * 参考：
 * 描述：TmsshipBargeOperation服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "tmsshipBargeOperationService")
public class TmsshipBargeOperationServiceImpl implements ITmsshipBargeOperationService {

    @Autowired
    private TmsshipBargeOperationMapper tmsshipBargeOperationMapper;
    @Autowired
    TmsshipTotalResultServiceImpl tmsshipTotalResultService;

    /**
     * 插入新的驳船作业
     * @param map
     * @return
     */
    @Override
    public int insertBargeOperation(Map<String,Object> map) {
        Map<String,Object> mapVal = (Map<String, Object>) map.get("mapVal");
        Map<String,Object> bagerShipMap = (Map<String, Object>) map.get("bagerShipMap");
        TmsshipBargeOperation tmsshipBargeOperation = new TmsshipBargeOperation();
        BigDecimal bargeOperationId = tmsshipBargeOperationMapper.selectBargeId();
        BigDecimal orderId = new BigDecimal((Integer) bagerShipMap.get("orderId"));
        BigDecimal resultTotalId = tmsshipTotalResultService.getResultTotalId(orderId);
        BigDecimal smallCapacityId = new BigDecimal((Integer) mapVal.get("smallCapacityId"));
        BigDecimal bargeSmallShipLoadWeight = new BigDecimal((String) mapVal.get("bargeSmallshipLoadWeight"));
        Date bargeRefuteDate = new Date((Long) mapVal.get("bargeRefuteDate"));
        String bargeRefuteLocation = (String) mapVal.get("bargeRefuteLocation");
        Date bargeBackDate = new Date((Long) mapVal.get("bargeBackDate"));
        String bargeBackLocation = (String) mapVal.get("bargeBackLocation");
        tmsshipBargeOperation.setBargeOperationId(bargeOperationId);
        tmsshipBargeOperation.setResultTotalId(resultTotalId);
        tmsshipBargeOperation.setBargeSmallshipLoadWeight(bargeSmallShipLoadWeight);
        tmsshipBargeOperation.setSmallCapacityId(smallCapacityId);
        tmsshipBargeOperation.setBargeRefuteDate(bargeRefuteDate);
        tmsshipBargeOperation.setBargeRefuteLocation(bargeRefuteLocation);
        tmsshipBargeOperation.setBargeBackLocation(bargeBackLocation);
        tmsshipBargeOperation.setBargeBackDate(bargeBackDate);
        // 设置常规字段
        tmsshipBargeOperation.setDeleted(new BigDecimal(0));
        tmsshipBargeOperation.setInsertTime(new Date());
        tmsshipBargeOperation.setUpdateTime(new Date());
        tmsshipBargeOperation.setInsertUsername("admin");
        tmsshipBargeOperation.setUpdateUsername("admin");
        tmsshipBargeOperation.setInsertUpdateRemark("无");
        tmsshipBargeOperation.setDeleteName(null);
        tmsshipBargeOperation.setDeleteTime(null);
        return tmsshipBargeOperationMapper.insert(tmsshipBargeOperation);
    }

    /**
     * 通过主键查询驳船作业
     * @param bargeOperationId
     * @return
     */
    @Override
    public TmsshipBargeOperation selectBargeOperation(BigDecimal bargeOperationId) {
        return tmsshipBargeOperationMapper.selectByPrimaryKey(bargeOperationId);
    }

    /**
     * 通过主键删除驳船作业
     * @param bargeOperationId
     * @return
     */
    @Override
    public int deleteBargeOperation(BigDecimal bargeOperationId) {
        TmsshipBargeOperation tmsshipBargeOperation = tmsshipBargeOperationMapper.selectByPrimaryKey(bargeOperationId);
        tmsshipBargeOperation.setDeleted(new BigDecimal(1));
        return tmsshipBargeOperationMapper.updateByPrimaryKeySelective(tmsshipBargeOperation);
    }

    /**
     * 修改驳船作业
     * @param tmsshipBargeOperation
     * @return
     */
    @Override
    public int updateBargeOperation(TmsshipBargeOperation tmsshipBargeOperation) {
        tmsshipBargeOperation.setUpdateTime(new Date());
        return tmsshipBargeOperationMapper.updateByPrimaryKeySelective(tmsshipBargeOperation);
    }

    /**
     * 查询所有驳船作业信息
     * @param mapVal
     * @return
     */
    @Override
    public List<Map<String, Object>> selectBargeOperationList(Map<String, Object> mapVal) {
        return tmsshipBargeOperationMapper.selectBargeOperationList(mapVal);
    }

    /**
     * 查询表单数据
     * @param bargeOperationId
     * @return
     */
    @Override
    public List<Map<String, Object>> getBargeOperation(BigDecimal bargeOperationId) {
        return tmsshipBargeOperationMapper.selectBargeOperation(bargeOperationId);
    }
}
