package com.steerinfo.dil.service.impl;

import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import com.steerinfo.dil.model.TmsshipEntryWharyResult;
import com.steerinfo.dil.mapper.TmsshipEntryWharyResultMapper;
import com.steerinfo.dil.service.ITmsshipEntryWharyResultService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.util.Date;
import java.util.Map;

/**
 * TmsshipEntryWharyResult服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-08-18 04:06
 * 类描述
 * 修订历史：
 * 日期：2021-08-18
 * 作者：generator
 * 参考：
 * 描述：TmsshipEntryWharyResult服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "tmsshipEntryWharyResultService")
public class TmsshipEntryWharyResultServiceImpl implements ITmsshipEntryWharyResultService {

    @Autowired
    TmsshipEntryWharyResultMapper tmsshipEntryWharyResultMapper;
    @Autowired
    TmsshipTotalResultServiceImpl tmsshipTotalResultService;


    /**
     * 新增抵达实绩
     * @param mapVal
     * @return
     */
    @Override
    public int insertEntryWharyResult(Map<String,Object> mapVal) {
        BigDecimal orderId = new BigDecimal((Integer) mapVal.get("orderId"));
        BigDecimal wharyId = new BigDecimal((Integer) mapVal.get("wharyId"));
        Date resultPortDeclarationTime = (Date) mapVal.get("resultPortDeclarationTime");
        String resultPortDeclarationName = (String) mapVal.get("resultPortDeclarationName");
        String resultMemo = (String) mapVal.get("resultMemo");
        Date resultArrivalTime = (Date) mapVal.get("resultArrivalTime");
        TmsshipEntryWharyResult tmsshipEntryWharyResult = new TmsshipEntryWharyResult();
        BigDecimal totalResultId = tmsshipTotalResultService.getResultTotalId(orderId);
        tmsshipEntryWharyResult.setTotalResultId(totalResultId);
        BigDecimal resultId = selectMaxId();
        tmsshipEntryWharyResult.setResultId(resultId);
        LocalDate now = LocalDate.now();
        String resultNumber = "DD" +  now.getYear();
        Integer month = now.getMonthValue();
        String monthStr = month.toString();
        if (monthStr.length() != 2) {
            resultNumber = resultNumber + "0" + now.getMonthValue();
        }
        else {
            resultNumber = resultNumber + now.getMonthValue();
        }
        resultNumber = resultNumber + now.getDayOfMonth();
        switch ((resultId.toString()).length()) {
            case 1:
                resultNumber = resultNumber + "0000" + resultId;
                break;
            case 2:
                resultNumber = resultNumber + "000" + resultId;
                break;
            case 3:
                resultNumber = resultNumber + "00" + resultId;
                break;
            case 4:
                resultNumber = resultNumber + "0" + resultId;
                break;
            default:resultNumber = resultNumber + resultId;
        }
        tmsshipEntryWharyResult.setResultNumber(resultNumber);
        tmsshipEntryWharyResult.setWharyId(wharyId);
        tmsshipEntryWharyResult.setResultPortDeclarationTime(resultPortDeclarationTime);
        tmsshipEntryWharyResult.setResultPortDeclarationName(resultPortDeclarationName);
        tmsshipEntryWharyResult.setResultArrivalTime(resultArrivalTime);
        tmsshipEntryWharyResult.setResultMemo(resultMemo);
        // 设置常规字段
        tmsshipEntryWharyResult.setInsertTime(new Date());
        tmsshipEntryWharyResult.setUpdateTime(new Date());
        tmsshipEntryWharyResult.setInsertUsername("admin");
        tmsshipEntryWharyResult.setUpdateUsername("admin");
        tmsshipEntryWharyResult.setInsertUpdateRemark("无");
        tmsshipEntryWharyResult.setDeleteName(null);
        tmsshipEntryWharyResult.setDeleteTime(null);
        return tmsshipEntryWharyResultMapper.insert(tmsshipEntryWharyResult);
    }

    @Override
    public BigDecimal selectMaxId() {
        return tmsshipEntryWharyResultMapper.selectMaxId();
    }
}
