package com.steerinfo.dil.service.impl;

import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import com.steerinfo.dil.model.TmsshipOutWharyResult;
import com.steerinfo.dil.mapper.TmsshipOutWharyResultMapper;
import com.steerinfo.dil.service.ITmsshipOutWharyResultService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.util.Date;
import java.util.Map;

/**
 * TmsshipOutWharyResult服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-08-19 08:50
 * 类描述
 * 修订历史：
 * 日期：2021-08-19
 * 作者：generator
 * 参考：
 * 描述：TmsshipOutWharyResult服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "tmsshipOutWharyResultService")
public class TmsshipOutWharyResultServiceImpl implements ITmsshipOutWharyResultService {

    @Autowired
    TmsshipOutWharyResultMapper tmsshipOutWharyResultMapper;
    @Autowired
    TmsshipTotalResultServiceImpl tmsshipTotalResultService;

    @Override
    public BigDecimal selectMaxId() {
        return tmsshipOutWharyResultMapper.selectMaxId();
    }

    @Override
    public int insertOutWharyResult(Map<String, Object> mapVal) {
        BigDecimal orderId = new BigDecimal((Integer) mapVal.get("orderId"));
        BigDecimal wharyId = new BigDecimal((Integer) mapVal.get("wharyId"));
        String resultOutWharyName = (String) mapVal.get("resultOutWharyName");
        String resultMemo = (String) mapVal.get("resultMemo");
        Date resultOutWharyTime = (Date) mapVal.get("resultOutWharyTime");
        TmsshipOutWharyResult tmsshipOutWharyResult = new TmsshipOutWharyResult();
        BigDecimal totalResultId = tmsshipTotalResultService.getResultTotalId(orderId);
        tmsshipOutWharyResult.setTotalResultId(totalResultId);
        BigDecimal resultId = selectMaxId();
        tmsshipOutWharyResult.setResultId(resultId);
        LocalDate now = LocalDate.now();
        String resultNumber = "LG" +  now.getYear();
        Integer month = now.getMonthValue();
        String monthStr = month.toString();
        if (monthStr.length() != 2) {
            resultNumber = resultNumber + "0" + now.getMonthValue();
        }
        else {
            resultNumber = resultNumber + now.getMonthValue();
        }
        resultNumber = resultNumber + now.getDayOfMonth();
        switch ((resultId.toString()).length()) {
            case 1:
                resultNumber = resultNumber + "0000" + resultId;
                break;
            case 2:
                resultNumber = resultNumber + "000" + resultId;
                break;
            case 3:
                resultNumber = resultNumber + "00" + resultId;
                break;
            case 4:
                resultNumber = resultNumber + "0" + resultId;
                break;
            default:resultNumber = resultNumber + resultId;
        }
        tmsshipOutWharyResult.setResultNumber(resultNumber);
        tmsshipOutWharyResult.setWharyId(wharyId);
        tmsshipOutWharyResult.setResultOutWharyTime(resultOutWharyTime);
        tmsshipOutWharyResult.setResultOutWharyName(resultOutWharyName);
        tmsshipOutWharyResult.setResultMemo(resultMemo);
        // 设置常规字段
        tmsshipOutWharyResult.setInsertTime(new Date());
        tmsshipOutWharyResult.setUpdateTime(new Date());
        tmsshipOutWharyResult.setInsertUsername("admin");
        tmsshipOutWharyResult.setUpdateUsername("admin");
        tmsshipOutWharyResult.setInsertUpdateRemark("无");
        tmsshipOutWharyResult.setDeleteName(null);
        tmsshipOutWharyResult.setDeleteTime(null);
        return tmsshipOutWharyResultMapper.insert(tmsshipOutWharyResult);
    }


}
